/* snd.h */

#ifndef SND_H
#define SND_H

#if defined(HAVE_CONFIG_H)
  #include "config.h"
  #if (!defined(HAVE_STRTOK))
    #error Snd code needs strtok which is apparently missing
  #endif
#endif

#include <ctype.h>
#include <stddef.h>
#include <math.h>
#include <stdio.h>
#if (!defined(HAVE_CONFIG_H)) || (defined(HAVE_FCNTL_H))
  #include <fcntl.h>
#endif
#include <signal.h>
#if (!defined(HAVE_CONFIG_H)) || (defined(HAVE_LIMITS_H))
  #include <limits.h>
#endif
#include <errno.h>
#include <stdlib.h>

#if (defined(NEXT) || (defined(HAVE_LIBC_H) && (!defined(HAVE_UNISTD_H))))
  #include <libc.h>
#else
  #include <unistd.h>
#endif

#include <string.h>
#include <stdarg.h>
#include <time.h>

#if MACOS
  #include <stat.h>
#else
  #include <sys/types.h>
  #include <sys/stat.h>
#endif

#include "sndlib.h"
#include "cmus.h"
/* cmus.h needed only for the clm-style struct offsets and cl_false */

#if defined(BEOS)
  #define HAVE_MOTIF 0
#else
  #define HAVE_MOTIF 1
#endif

#ifdef WINDOZE
  #define _NO_PROTO
  #define IMPDATA
  #define IMPQUARK
#endif

#include "snd-0.h"

#if HAVE_MOTIF
  #include "snd-x0.h"
#endif

#include "snd-1.h"

#if HAVE_MOTIF
  #include "snd-x1.h"
#endif

#ifndef WINDOZE
  #include "snd-strings.h"
#else
  #include "snd-stri.h"
#endif

#define SND_VERSION "14-Aug-98"

/* #include "/snd/books/dbm/malloc.h" */

#endif

